# IReportsService.Reports

{% hint style="info" %}
All URI’s are relative to the VTN URL configured.
{% endhint %}

<table><thead><tr><th width="228">Method</th><th>HTTP request</th><th>Description</th></tr></thead><tbody><tr><td>CreateReportAsync</td><td>POST /reports</td><td>Create a report</td></tr><tr><td>DeleteReportAsync</td><td>DELETE /reports/{reportID}</td><td>Delete a report</td></tr><tr><td>SearchReportsAsync</td><td>GET /reports</td><td>Searches all reports</td></tr><tr><td>FindReportByIdAsync</td><td>GET /reports/{reportID}</td><td>Searches reports by report ID</td></tr><tr><td>UpdateReportAsync</td><td>PUT /reports/{reportID}</td><td>Update a report</td></tr></tbody></table>

## CreateReportAsync

```csharp
Task<Report> CreateReportAsync(
    Report report,
    RequestOptions? options = default,
    CancellationToken cancellationToken = default)
```

Create a new report in the server.

## **Delete**Report**Async**

```csharp
Task<Report> DeleteReportAsync(
    string reportId,
    RequestOptions? options = default,
    CancellationToken cancellationToken = default)
```

Delete an existing report with the report ID.

## **Search**Report**sAsync**

```csharp
Task<List<Report>> SearchReportsAsync(
    string? programId = default,
    string? eventId = default,
    string? clientName = default,
    int? skip = default,
    int? limit = default,
    RequestOptions? options = default,
    CancellationToken cancellationToken = default)
```

Searches all reports known to the server. Use skip and pagination query params to limit response size.

## **Find**Report**ByIdAsync**

```csharp
Task<Report> FindReportByIdAsync(
    string reportId,
    RequestOptions? options = default,
    CancellationToken cancellationToken = default)
```

Find report associated by the report ID.

## **Update**Report**Async**

```csharp
Task<Report> UpdateReportAsync(
    string reportId,
    Report report,
    RequestOptions? options = default,
    CancellationToken cancellationToken = default)
```

Update an existing report with specified report ID.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.switchmarket.se/libraries/.net-sdk/sdk-reference/ireportsservice.reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
